Subject: bug#46416: 27.1; syntax-propertize fails in mhtml-mode

From: Leo Liu <[email-masked]>
Date: Sun, 14 Feb 2021 13:15:50 +0800

On 2021-02-14 03:25 +0200, Dmitry Gutov wrote:
> I can't seem to be able to reproduce your scenario in Emacs 28 (in
> fact, I get %var1 and %var2 highlighted as variables), but it might be
> related to the
>
>   "\\([\"']\\)[^\"'<>]*"
>
> rule in sgml-syntax-propertize-rules.

Yes I can confirm it's this rule that seems to remove syntax-table
property that has been applied by preceding rules.

I can reproduce this bug by simplifying the said rule to

  ("\\([\"']\\)[^\"'<>]*" (1 "."))

> If you could double-check the expected and actual behaviors in the
> current master, though, that would be great.

Unfortunately I don't have emacs 28 at hand so cannot test immediately.